---
"@context": https://schema.org
"@type": TechArticle
"@id": https://www.twilio.com/docs/api/insights/twilio-insights#article
headline: Twilio Insights endpoints
description: Overview of Insights API (v3) - Twilio Insights endpoints
url: https://www.twilio.com/docs/api/insights/twilio-insights
inLanguage: en
author:
  "@type": Organization
  name: Twilio Developer Education Team
publisher:
  "@type": Organization
  name: Twilio
---

# Twilio Insights endpoints

> \[!IMPORTANT]
>
> Conversation Insights, including the APIs, is currently available as a public beta release and the information contained in this document is subject to change. Some features are not yet implemented and others may be changed before the product is declared as generally available. Public beta products are not covered by the Twilio Support Terms or Twilio Service Level Agreement.
>
> Conversation Insights is not PCI compliant or a HIPAA Eligible Service and should not be used in workflows that are subject to HIPAA or PCI.
>
> Conversations products are only available in the [new Twilio Console](https://1console.twilio.com). If your account hasn't been migrated, you'll be redirected to the legacy Console where these products won't appear.

## Overview

Twilio Insights synchronous Query and Metadata resources.

## Endpoints

* [`GET /v3/InsightsDomains/Conversations/Metadata`](/docs/api/insights/twilio-insights/fetch-metadata) - Retrieve domain metadata
* [`POST /v3/InsightsDomains/Conversations/Query`](/docs/api/insights/twilio-insights/create-query-results) - Execute a synchronous semantic query
* [`GET /v3/InsightsDomains/Conversations/Query`](/docs/api/insights/twilio-insights/fetch-query-results) - Retrieve paginated query results
